package com.device.comm.mylibrary.NativeDevice.cgmadi;

import android.content.Context;

public abstract interface Bt4ThFacade
{
  public abstract <T extends Context> void startMonitor(T paramT, int paramInt);
  
  public abstract <T extends Context> void stopMonitor(T paramT, int paramInt);
  
  public abstract <T extends Context> void getNumberDataFromIndex(T paramT, int paramInt1, int paramInt2, int paramInt3);
  
  public abstract <T extends Context> void getAllDataFromIndex(T paramT, int paramInt1, int paramInt2);
  
  public abstract <T extends Context> void getAllDataCount(T paramT, int paramInt);
  
  public abstract <T extends Context> void getAllData(T paramT, int paramInt);
  
  public abstract <T extends Context> void getName(T paramT, int paramInt);
  
  public abstract <T extends Context> void getMaxNumber(T paramT, int paramInt);
  
  public abstract <T extends Context> void disConnection(T paramT, int paramInt);
  
  public abstract <T extends Context> void getSn(T paramT, int paramInt);
  
  public abstract <T extends Context> void getVersion(T paramT, int paramInt);
  
  public abstract <T extends Context> void doAuthorization(T paramT, int paramInt);
  
  public abstract <T extends Context> void getRecord(T paramT, int paramInt);
  
  public abstract <T extends Context> boolean connectTh(T paramT, String paramString);
  
  public abstract <T extends Context> boolean isConnected(T paramT);
  
  public abstract <T extends Context> void getMonitorStatus(T paramT, int paramInt);
}


/* Location:              /Users/lvwang2002/Desktop/CodeSource/work/DY_GLUCOSE/thapi_test/libs/cgmthapi.jar!/com/sanme/cgmadi/bluetooth4/Bt4ThFacade.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */